# uw-material-ui-react

UW Material UI React is a preconfigured UW-Madison theme for use with
[Material-UI](https://material-ui.com/)-based React projects.

![UW Material UI React](screenshots/uw-material-ui-react.png)

## Example Usage

```jsx
import React from "react";
import ReactDOM from "react-dom";
import { createMuiTheme } from "@material-ui/core/styles";
import { ThemeProvider } from "@material-ui/styles";
import Button from "@material-ui/core/Button";
import theme from "uw-material-ui-react";

const uwMadison = createMuiTheme(theme);

function App(props) {
  return (
    <ThemeProvider theme={uwMadison}>
      <Button>{props.text}</Button>
    </ThemeProvider>
  );
}

ReactDOM.render(<App text="I'm blue!" />, document.getElementById('app'));
```